# Copyright (c) 2007 Canonical
#
# Written by Jamshed Kakar <jkakar@kakar.ca>
#
# This file is part of AutoPPA.
#
# AutoPPA is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of the
# License, or (at your option) any later version.
#
# AutoPPA is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

class AutoPPAError(Exception):
    """Base class for AutoPPA errors."""


class ChangelogError(AutoPPAError):
    """Raised when the changelog is saved without any changes."""


class EditorError(AutoPPAError):
    """Raised when neither EDITOR nor VISUAL environment variables are available."""


class BuildTargetError(AutoPPAError):
    """Raised when an invalid build target is used."""


class FileProcessingError(AutoPPAError):
    """Raised when a file processing error occurs."""
